%define		_disable_ld_no_undefined 1
%define		libname %mklibname %{name}

Name:		yarock
Version:	1.4.0
Release:	%mkrel 3
Summary:	Modern and elegant Linux music player
Group:		Sound
License:	GPLv3
URL:		https://seb-apps.github.io/yarock/
Source0:	https://launchpad.net/yarock/1.x/%{version}/+download/Yarock_%{version}_Sources.tar.gz#/%{name}-%{version}.tar.xz
Source1:	org.yarock.desktop

BuildRequires:	cmake
BuildRequires:	pkgconfig
BuildRequires:	qt5-devel
BuildRequires:	qt5help-devel
BuildRequires:	qttools5
BuildRequires:	qt5x11extras-devel
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(taglib-extras)
BuildRequires:	pkgconfig(libVLCQtCore)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	phonon4qt5-vlc
BuildRequires:	vlc-devel
BuildRequires:	mpv-devel
BuildRequires:	htmlcxx
BuildRequires:	pkgconfig(htmlcxx)
BuildRequires:	pkgconfig(sqlite3)
Requires:	qt5-database-plugin-sqlite


%description
Yarock is a modern looking music player, packed with features, that doesn't
depend on any specific desktop environment. Yarock is designed to provide
an easy and pretty music browser based on cover art. Yarock is easy to build
with a minimal set of dependencies, and offers the choice of different audio
back-ends. YOU will need to select a playback engine for sound:

lib64yarock-mpv, lib64yarock-phonon or lib64yarock-vlc

%package -n	%{libname}-mpv
Summary:	The MPV audio backend library for Yarock
Group:		Sound

%description -n	%{libname}-mpv
The MPV audio backend library for Yarock

%package -n	%{libname}-phonon
Summary:	The Phonon audio backend library for Yarock
Group:		Sound

%description -n	%{libname}-phonon
The Phonon audio backend library for Yarock

%package -n	%{libname}-vlc
Summary:	The VLC audio backend library for Yarock
Group:		Sound

%description -n	%{libname}-vlc
The VLC audio backend library for Yarock
Group:		Sound

%prep
%setup -qn Yarock_%{version}_Sources

%build
%cmake_qt5 \
	-DENABLE_VLC=ON \
	-DENABLE_MPV=ON \
	-DENABLE_PHONON=ON \
	-DENABLE_QT5=ON \
	-DCMAKE_INSTALL_TRANS=%{_qt5_translationdir}
%make_build

%install
%make_install -C build

#desktop file
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/org.yarock.desktop

%__mkdir_p %{buildroot}%{_qt5_translationdir}
%__mv %{buildroot}%{_datadir}/%{name}/translations/* %{buildroot}%{_qt5_translationdir}/
%__rm -rf %{buildroot}%{_datadir}/%{name}

%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/*/org.yarock.appdata.xml
%{_datadir}/pixmaps/application-x-yarock.png
%{_datadir}/applications/org.yarock.desktop
%{_datadir}/icons/hicolor/*/apps/application-x-yarock.*
%{_qt5_translationdir}/%{name}*.qm

%files -n	%{libname}-mpv
%{_libdir}/%{name}/libenginempv.so

%files -n       %{libname}-phonon
%{_libdir}/%{name}/libenginephonon.so

%files -n       %{libname}-vlc
%{_libdir}/%{name}/libenginevlc.so


%changelog
* Mon Nov 14 2022 tex - 1.4.0-3pclos2022
- rebuild against mpv 0.35.0

* Sat Apr 20 2019 tex - 1.4.0-2pclos2019
- rebuild against updates

* Sat Mar 23 2019 tex 1.4.0-1pclos2019
- Update to version 1.4.0

